<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="firewall" id="bytes-by-timeslot" charttype="histogram">

 <lire:title>Bytes by Timeslot Firewall Report</lire:title>
 <lire:description>
  <para>This report shows the volume of traffic distributed by
   timeslots (hours of the day, days of the week, etc.) that passed
   (or were denied) by your firewall.
  </para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="timeslot" type="duration" default="1h">
   <lire:description>
    <para>This parameter controls the length of the timeslot over
     which the packets are aggregated. Use <userinput>1h</userinput>
     for <quote>hours of the day</quote> or <userinput>1d</userinput>
     for <quote>days of the week</quote>.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Volume of Traffic by $timeslot Timeslot</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:timeslot unit="$timeslot" label="Timeslot">

   <lire:sum name="vol_total" field="length" label="Volume"/>
   <lire:sum name="vol_ratio" field="length" ratio="table" label="% Total"/>
  </lire:timeslot>
 </lire:report-calc-spec>

</lire:report-spec>

<!--
Keep this comment at the end of the file
Local variables:
mode: xml
-->
